Login


All times are UTC - 5 hours


It is currently Sun May 20, 2018 4:22 pm




Post new topic Reply to topic  [ 7 posts ] 
Author Message
 Post subject: "Cannot find required DLL" when running D2ModSetup
PostPosted: Sun Dec 11, 2016 5:49 pm 

Joined: Tue Sep 01, 2009 8:12 am
Posts: 103
Sup everyone. So I was going to dick around on the test version for the mod, and my laptop doesn't seem to want to cooperate. The error I get is "Cannot find required DLL. If diablo is running you cannot install this mod. Quit diablo and try again." I thought it was just because I downloaded Diablo2 from blizzard and installed over it, but now I've copied an actual 1.13 copy of HU from my desktop, to my laptop and it still won't work. Now, before you guys go "Oh have you tried x?" Please realize that, even though I don't talk a lot on here, I've played HU for probably fuck... not long since it came out? I've tried everything. The folder works on my desktop, but the laptop is just jacked. I'm running windows 8.1 on a 64 bit operating system. If you can think of anything I may have overlooked, let me know? I'd love to get this sorted out before the release of 1.17. Appreciate the help!


Top
 Offline Profile  
Reply with quote  
 Post subject: Re: "Cannot find required DLL" when running D2ModSetup
PostPosted: Sun Dec 11, 2016 9:50 pm 
User avatar

Joined: Tue Sep 01, 2009 9:01 pm
Posts: 1342
Are you using D2SE or the .bat route?
Note, you still need 1.10 (though I do not think this is the error being spit out to you).

_________________
The reader should not be discouraged if...he does not have the prerequisites to read the prerequisites. P. Halmos


Top
 Offline Profile  
Reply with quote  
 Post subject: Re: "Cannot find required DLL" when running D2ModSetup
PostPosted: Sun Dec 11, 2016 10:02 pm 

Joined: Tue Sep 01, 2009 8:12 am
Posts: 103
Trying to use the .bat route.


Top
 Offline Profile  
Reply with quote  
 Post subject: Re: "Cannot find required DLL" when running D2ModSetup
PostPosted: Sun Dec 11, 2016 10:07 pm 

Joined: Wed Dec 12, 2012 7:24 pm
Posts: 773
If you can't get it to work you can try downloading the 1.6c full game and just dump the 1.7 files on top of it. Not 100% sure if this will work but it should replace the txt and dlls and add whatever else it needs onto an already functional base.


Top
 Offline Profile  
Reply with quote  
 Post subject: Re: "Cannot find required DLL" when running D2ModSetup
PostPosted: Sun Dec 11, 2016 11:01 pm 
User avatar

Joined: Mon Aug 31, 2009 11:28 am
Posts: 1091
Location: Vancouver, BC
I think I ran into a "DLL required" bug a couple years ago when installing HU for a friend (that was on Win7 though), and to get around it we installed D2SE. I also use Win8.1, but never had an issue. Consider installing D2 outside of ProgramFiles though, since Win8.1 has some pretty interesting strategies for organizing installation files (took me ages to realize that the config and save files for some of my games were being mirrored in my user account folder in hidden directories).

If the DLL not being found is d2expres.dll (related to high-resolution, which the v1.7 test package does not support), then remove the following line from d2mod.ini and try again:
d2expres=d2expres.dll

I've considered fixing this error in the test package, but we're getting pretty close to January anyways and I figured folks wouldn't be testing anymore.

That aside, Ensley03's idea should work fine too I think. I'd recommend D2SE in general though, since it acts as a pretty solid middle-man between newer operating systems and a 15ish year old game.


Top
 Offline Profile  
Reply with quote  
 Post subject: Re: "Cannot find required DLL" when running D2ModSetup
PostPosted: Mon Dec 12, 2016 7:29 pm 
User avatar

Joined: Tue Sep 01, 2009 9:01 pm
Posts: 1342
It MUST be outside of Program Files (or x86) to read in Win7.

_________________
The reader should not be discouraged if...he does not have the prerequisites to read the prerequisites. P. Halmos


Top
 Offline Profile  
Reply with quote  
 Post subject: Re: "Cannot find required DLL" when running D2ModSetup
PostPosted: Mon Dec 12, 2016 7:46 pm 
User avatar

Joined: Tue Feb 01, 2011 5:48 pm
Posts: 1661
eyyyyyy nova wb!

Nova wrote:
've played HU for probably fuck... not long since it came out?


stfu noob :lol:

Honestly every time I tried to set up D2SE in the past it was a clusterfuck. However, the D2SE install from Ensley's thread makes life so easy... I highly recommend you go that route if you're having issues-

viewtopic.php?f=8&t=14003&hilit=d2se+file

_________________
PureRage-DoD wrote:
Cowards die in shame, I ain't afraid to lose a char, it's not like it's important. :lol:


Top
 Offline Profile  
Reply with quote  
Display posts from previous:  Sort by  
Post new topic Reply to topic  [ 7 posts ] 

All times are UTC - 5 hours


Who is online

Users browsing this forum: No registered users and 1 guest


You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot post attachments in this forum

Search for:
Jump to:  
cron